Bug 118173 - 3 * used before set
Summary: 3 * used before set
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Malcolm
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-12 19:45 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 23:54:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-03-12 19:45:10 UTC
Description of problem:

I just tried to compile Fedora Core2 Test1 package evolution-1.5.3-1

The compiler said

1.

e-shell-offline-handler.c(385): remark #592: variable "id" is used
before its value is set

The source code is

                if (ev._major != CORBA_NO_EXCEPTION)
                        g_warning ("Error putting component `%s'
on-line.", id);

Suggest init local variable id before first use.

2.

e-shell-offline-handler.c(429): remark #592: variable "id" is used
before its value is set

The source code is

                if (! create_progress_listener (offline_handler, id,
                                               
&progress_listener_interface,
                                               
&progress_listener_servant)) {

Duplicate.

3.

em-subscribe-editor.c(416): remark #592: variable "id" is used before
its value
is set

The source code is

        return id;

Suggest if a local variable is used as the return expression of a
function, then it is probably a good idea to initialise it to something.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dave Malcolm 2004-05-06 23:54:53 UTC
(2) is already fixed in CVS; I've sent patches for (1) and (3) to the
appropriate upstream mail list


Note You need to log in before you can comment on or make changes to this bug.